locale: 'zh'

header: true

pronouns:
    enabled: true
    default: '他'
    any: 'any'
    plurals: true
    honorifics: false
    multiple:
        name: '可互換形式'
        description: '很多非二元性別的人使用多個代詞，不介意他人互換。'
        examples: ['他&她', '她&伊', '他&佢']
    null: false
    emoji:
        description: '表情符號代詞'
        history: '表情符號代詞用於網絡上的交流，沒有發音。'
        morphemes:
            3rd_person: '#'
            2nd_person: '#'
        examples: ['💫', '💙']
        template: '打開一個例句，用自己的表情符號代替位址裏面的表情符號。'
    slashes: false
    avoiding: false
    others: 'Other pronouns'

pronunciation:
    enabled: true
    voices:
        CN:
            language: 'cmn-CN'
            voice: 'Zhiyu'
            engine: 'standard'

sources:
    enabled: true
    route: 'sources'
    submit: true
    mergePronouns: {}

nouns:
    enabled: false
    route: 'dictionary'
    collapsable: false
    plurals: true
    pluralsRequired: false
    declension: false
    submit: true
    templates: true
    inclusive:
        enabled: false
    terms:
        enabled: false

names:
    enabled: false

people:
    enabled: false

english:
    enabled: false

faq:
    enabled: false
    route: 'faq'

links:
    enabled: false
    route: 'links'
    blogRoute: 'blog'
    links: []
    mediaGuests: []
    mediaMentions: []
    socials:
        -
            icon: 'twitter'
            iconSet: 'b'
            url: 'https://twitter.com/PronounsPage'
            headline: '@PronounsPage'
    recommended: []

contact:
    enabled: true
    route: 'contact'
    contacts:
        -
            icon: 'envelope'
            url: 'mailto:contact@pronouns.page'
            headline: 'contact@pronouns.page'
    authors:
        -
            footerName: '台灣非二元酷兒浪子'
            link: 'https://www.facebook.com/TaiwanNonbinary/'
            group: true
            footerAreas: '譯員'
        -
            footerName: 'Andrea'
            username: 'andrea'
            footerAreas: 'code'
        -
            footerName: '曹志豪 (離退休)'
            username: 'zhihao'
            footerAreas: '離退休譯員'
    team:
        enabled: true
        route: 'team'  # TODO
    blog: {}


support:
    enabled: true
    links:
        -
            icon: 'coffee'
            url: 'https://ko-fi.com/radajezykaneutralnego'
            headline: 'Ko-Fi'
        -
            icon: 'paypal'
            iconSet: 'b'
            url: 'https://paypal.me/RJNeutralnego'
            headline: 'PayPal'

user:
    enabled: true
    route: 'account'
    termsRoute: 'terms'

profile:
    enabled: true
    editorEnabled: true
    defaultWords:
        - ['沒有尊稱', '君', '先生', '小姐', '夫人', '同志', '太太']
        - ['男', '女', '哥哥/弟弟', '姐姐/妹妹', '朋友']
        - ['可愛', '美麗', '性感', '好看', '帥哥']
        - ['男朋友', '女朋友', '知音', '丈夫', '妻子']
    flags:
        defaultPronoun: '他'

census:
    enabled: false

redirects: []

api:
    examples:
        pronouns_all: ['/api/pronouns']
        pronouns_one:
            - '/api/pronouns/she/her'
            - '/api/pronouns/she/her?examples[]=Did%20you%20ask%20%7Bpronoun_object%7D%20to%20join%20us%3F'

        sources_all: ['/api/sources']
        sources_one: ['/api/sources/01ERQRCV0XGVJ3T07MV9F6XQ83']

        nouns_all: ['/api/nouns']
        nouns_search: ['/api/nouns/search/person']
